import type { StoreRoot } from '@genesislcap/foundation-store';
import type { FoundationRouteCollection } from '@genesislcap/foundation-ui';
import { Behavior, ElementStyles, FASTElement } from '@genesislcap/web-core';
import type { App } from './app';
import type { AppRoute, AppRoutePredicate, AppStore, AppStorePredicate, AppStylePredicate, AppTargetId } from './types';
/**
 * @internal
 */
export declare class AppStylesTargetBehavior implements Behavior {
    protected app: App;
    protected targetId: AppTargetId;
    protected predicate?: AppStylePredicate;
    protected targetElement: FASTElement;
    protected prevTargetStyles: ElementStyles;
    protected nextTargetStyles: ElementStyles;
    constructor(app: App, targetId: AppTargetId, predicate?: AppStylePredicate);
    bind(elementInstance: FASTElement): void;
    unbind(): void;
    handleChange(): void;
    protected updateTargetStyles(): void;
}
/**
 * @internal
 */
export declare class AppRoutesBehavior implements Behavior {
    protected app: App;
    protected routeCollection: FoundationRouteCollection;
    protected predicate?: AppRoutePredicate;
    protected prevRoutes: AppRoute[];
    protected nextRoutes: AppRoute[];
    constructor(app: App, routeCollection: FoundationRouteCollection, predicate?: AppRoutePredicate);
    bind(): void;
    unbind(): void;
    handleChange(): void;
    protected updateTargetRoutes(): void;
}
/**
 * @internal
 */
export declare class AppStoresBehavior implements Behavior {
    protected app: App;
    protected storeRoot: StoreRoot;
    protected predicate?: AppStorePredicate;
    protected prevStores: AppStore[];
    protected nextStores: AppStore[];
    constructor(app: App, storeRoot: StoreRoot, predicate?: AppStorePredicate);
    bind(): void;
    unbind(): void;
    handleChange(): void;
    protected updateTargetStores(): void;
}
//# sourceMappingURL=behaviors.d.ts.map