import { RepeatOptions } from '@genesislcap/web-core';
import type { AppContext } from './types';
/**
 * AppConfig DI interface.
 *
 * @public
 */
export interface AppConfig {
    context?: AppContext;
    defaultElementRepeatOptions?: RepeatOptions;
}
/**
 * Default AppConfig DI implementation.
 * @public
 */
export declare const defaultAppConfig: AppConfig;
/**
 * AppConfig DI key.
 *
 * @internal
 * @privateRemarks
 * Marked as internal to stop api-extractor becoming confused cross-linking tokens with the same name.
 */
export declare const AppConfig: import("@microsoft/fast-foundation").InterfaceSymbol<AppConfig>;
//# sourceMappingURL=config.d.ts.map