import { isAppElement, isAppMetadata, isAppRegistration, isAppRoute, isAppStore, isAppStyle, } from '../../app/utils';
import { importAll } from './utils';
/**
 * @public
 */
export const metadata = importAll(import.meta.webpackContext('pbc', {
    regExp: /^.\/\w+\/metadata\.ts$/,
    recursive: true,
}), isAppMetadata);
/**
 * @public
 */
export const registrations = importAll(import.meta.webpackContext('pbc', {
    regExp: /^.\/\w+\/registrations\.ts$/,
    recursive: true,
}), isAppRegistration);
/**
 * @public
 */
export const routes = importAll(import.meta.webpackContext('pbc', {
    regExp: /^.\/\w+\/routes\.ts$/,
    recursive: true,
}), isAppRoute);
/**
 * @public
 */
export const elements = importAll(import.meta.webpackContext('pbc', {
    regExp: /^.\/\w+\/elements\.ts$/,
    recursive: true,
}), isAppElement);
/**
 * @public
 */
export const styles = importAll(import.meta.webpackContext('pbc', {
    regExp: /^.\/\w+\/styles\.ts$/,
    recursive: true,
}), isAppStyle);
/**
 * @public
 */
export const stores = importAll(import.meta.webpackContext('pbc', {
    regExp: /^.\/\w+\/stores\.ts$/,
    recursive: true,
}), isAppStore);
