<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [@genesislcap/foundation-shell](./foundation-shell.md) &gt; [AppElement](./foundation-shell.appelement.md)

## AppElement type

**Signature:**

```typescript
export type AppElement<TSource = any, TParent = any, TTarget = string> = HasTarget<TTarget> & HasPredicate & {
    elements: ViewTemplate<TSource, TParent>;
    placementIndex?: number;
    slotId?: string;
    [key: string]: any;
};
```
**References:** [HasTarget](./foundation-shell.hastarget.md)<!-- -->, [HasPredicate](./foundation-shell.haspredicate.md)

## Example 1

AppElement definition example.

```ts
const store = getNotifyStore();
...
export const inboxFlyout: AppElement = {
  targetId: 'layout',
  elements: html`
    <zero-flyout
      position="right"
      @closed=${(x, c) => c.parent.$emit('change-inbox-display', false)}
      ?closed=${() => !store.inboxDisplayState}
      displayHeader=${false}
      data-pbc-asset-id="inbox-flyout"
    >
      <foundation-inbox
        @close=${(x, c) => (<Flyout>(<HTMLElement>c.event.target).parentNode).closeFlyout()}
      ></foundation-inbox>
    </zero-flyout>
  `,
};
```
Note that bindings may need to use `c.parent` to `$emit` or reference properties of the target integration point. The inclusion of a `data-pbc-asset-id` is not a hard requirement, but should be considered for future operations.

## Example 2

Optional runtime [AssetPredicate](./foundation-shell.assetpredicate.md) function to determine if the asset should be used.

```ts
export const inboxFlyout: AppElement = {
  targetId: 'layout',
  predicate: (context: AppContext) => true, // < assess the user, permissions, env, domain, etc.
  elements: html``,
}
```

